Summary: CAF: Common Application Framework for quattor perl applications
Name: perl-CAF
Version: 1.9.0
Vendor: EU DataGrid / CERN
Release: 3.el7.cern
License: http://www.eu-datagrid.org/license.html
Group: quattor/System
Source: perl-CAF-1.9.0.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: German Cancio <German.Cancio@cern.ch>
URL: http://quattor.org
Provides: edg-caf-perl
Obsoletes: edg-caf-perl

Patch100: perl-CAF-1.9.0.man.patch

Requires: perl-LC
Requires: perl-AppConfig
Requires: perl-Proc-ProcessTable
Requires: perl-IO-String

%description
Provides Common Application Framework (Perl) 
libraries for quattor tools (http://cern.ch/quattor)


%prep
%setup
%patch100 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc /usr/share/doc/perl-CAF-1.9.0/ChangeLog 
%doc /usr/share/doc/perl-CAF-1.9.0/TODO
%doc /usr/share/doc/perl-CAF-1.9.0/README 
%doc /usr/share/doc/perl-CAF-1.9.0/CHANGES
%doc /usr/share/doc/perl-CAF-1.9.0/example/
%doc /usr/share/man/man3/CAF::*
/usr/lib/perl/CAF/*

%package -n perl-AppConfig-caf
Provides: perl-AppConfig
Group: quattor/System
Summary: AppConfig package, as distributed by quattor CAF
%description -n perl-AppConfig-caf
AppConfig package, as distributed by quattor CAF

%files -n perl-AppConfig-caf
%defattr(-,root,root)
/usr/lib/perl/AppConfig/*
/usr/lib/perl/AppConfig.pm
%doc /usr/share/man/man3/AppConfig::*

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- rebuild for el7

* Thu May 12 2011 Luis Fernando Muñoz Mejías <lfmunozmejias@gmail.com>

- Add NoAction to Object and stringify to File*

Process and File* will not do anything if NoAction is present. The
name is probably not optimal, but it's consistent with what we
find in NCM::Components.

Also, it's possible to get the contents of a FileWriter or
FileEditor as if it was a string, and check if it contains some
pattern just by doing

$fh =~ m{regexp};

* Mon Jan 31 2011 Luis Fernando Muñoz Mejías <Luis.Fernando.Munoz.Mejias@cern.ch>

- restorecon when files have changed.

* Wed Dec 08 2010 Luis Fernando Muñoz Mejías <Luis.Fernando.Munoz.Mejias@cern.ch>

- Make the install path dependent on Perl's directories for
the platform.

* Thu Oct 28 2010 Luis Fernando Muñoz Mejías <Luis.Fernando.Munoz.Mejias@cern.ch>

- Add functions add_or_replace_lines and replace_lines.

* Fri Feb 05 2010 Luis Fernando Muñoz Mejías <Luis.Fernando.Munoz.Mejias@cern.ch>

- Support the new "shell" flag from LC::Process.

* Wed Jul 01 2009 Luis Fernando Muñoz Mejías

- Fix CAF::FileEditor::print.

It was not working as expected, as IO::String has the stupid habit of
resetting the position to 0, so all printings were done on the very beginning
of the file, instead of at the end.

* Tue Mar 03 2009 Luis Fernando Muñoz Mejías

- Fix CAF::Reporter::verbose.

CAF::Reporter objects don't have the debug and verbose flags as part of the object,
but on the class-wide $_REP_SETUP. So that's the place to look at when we are verifying
whether or not a verbose message should be output.

* Sun Jan 11 2009 <unknown>

- Added head_print method, documentation and fixed the Makefile.

Added full documentation with a few examples.
New head_print method, which I hope helps replacing the confusing syntax of
NCD::Check::lines (or whatever).
Updated the Makefile to build this module, too.

* Sun Jan 11 2009 <unknown>

- Added a new CAF::FileEditor module.

It will allow to access and modify the contents of a file, perhaps
replacing NCM::Check::lines.

* Sat Nov 15 2008 <unknown>

- Adding messages to CAF::FileWriter telling if the file was actually modified.

* Fri Nov 14 2008 <unknown>

- Documentation update on CAF::FileWriter

* Tue Oct 21 2008 "Luis Fernando"

- Fixed bug #43116

There was a call to _REP_SETUP->report instead of $self->report on the debug method.
Also, ReporterMany blindly overwrote the settings from CAF::Reporter, leading to --verbose
and --debug not working.

* Tue Sep 30 2008 "Luis Fernando"

- New module, CAF::FileWriter, for wrapping file writing operations.
It provides a file-like interface, but doesn't actually write to a file
if the contents don't change. It uses LC::Check for that, so it doesn't
respect SELinux contexts.

Added tests for CAF::FileWriter and updated the tests for CAF::Process.

Added a run-all-tests script, for being able to run all tests with the
make test command.

Renamed the "test" directory to "t", to comply with the build toolds
requirements.

* Mon Sep 29 2008 "Luis Fernando"

- Updated CAF::ReporterMany's documentation.

* Fri Sep 26 2008 "Luis Fernando"

- Removed the CAF::FileWriter module from the Makefile.

* Fri Sep 26 2008 "Luis Fernando"

- Temporarily removing the CAF::FileWriter module, to have a version that doesn't
require perl-IO-String and yet has a working CAF::ReporterMany.

* Fri Sep 26 2008 "Luis Fernando"

- Tagging the previous change.

* Fri Sep 26 2008 Luis Fernando Muñoz Mejías <mejias@delta.ft.uam.es>

- CAF::ReporterMany: fixed the setup_reporter method to fetch, at
the beginning, the global settings of CAF::Reporter.

* Fri Sep 26 2008 Marco Emilio Poleggi,<Marco.Poleggi@cnaf.infn.it>

- CAF::Reporter: restored singleton behavior;
- CAF::ReporterMany: new class allowing multiple reporter objects;
- CAF::RepLogger updated to use CAF::ReporterMany

* Thu Sep 18 2008 "Luis Fernando"

- Added CAF::Process. CVS sucks.

* Wed Sep 17 2008 "Luis Fernando"

- Added a new module, Process.pm, which wraps LC::Process and allows to log the commands
run, at the verbose level. See the man page for more information.

* Tue Aug 05 2008 "Luis Fernando"

- Fixed Reporter.pm causing processes to die when the syslog daemon is not running
and the log sockets are not available (f.i., when installing OpenVZ guests)

* Mon Aug 04 2008 "Luis Fernando"

- Fixed a priority name

* Thu Jul 31 2008 "Luis Fernando"

- Fixed logging to syslog on SL4. Some of the macros used existed only on Perl 5.8.8 (SL5).

* Mon Jul 28 2008 "Luis Fernando"

- Adding the ability to log to syslog, as well as old-style logs.
Note that the CAF::Reporter::syslog method is not thread-safe.

* Thu Dec 06 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Object: inherits from Reporter and initializes it new() to avoid issues
with application which are already using CAF::Reporter.

* Wed Dec 05 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- RepLogger: replaces LoggerSingle since it's more flexible
- Reporter: now allows multiple instances of reporter objects, so that
more than one log file can be used in the same application

* Tue Nov 27 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- CAF::LoggerSingle: new module for easy logging with generic applications
- CAF::Reporer: small fix: now debug() checks that the first parameter is
integer.

* Thu May 24 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Small fix in CAF::Log to avoid extra newlines at log closing

* Tue Feb 06 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Small bugfix for handling correctly indented comments in conf files

* Mon Aug 21 2006 Marco Emilio Poleggi

- Added 'Provides' line to specfile for dependency on old edg-caf-perl

* Fri Aug 18 2006 Marco Emilio Poleggi

- Error reporting enhanced when logfile cannot be created/accessed

* Fri May 26 2006 Marco Emilio Poleggi

- Removed test target from Makefile as it clashes with top level rules

* Fri Feb 17 2006 German Cancio Melia

- Moved AppConfig man pages to AppConfig-caf

* Thu Feb 16 2006 German Cancio Melia

- Fix RPM 4.2.3 issue with Obsoletes/Provides

* Mon Sep 19 2005 German Cancio Melia

- Removed Provides: as already Obsoletes: edg-caf-perl - and this was confusing RPM!!

* Mon Jul 04 2005 German Cancio Melia

- Added explicit Requires: of perl-Proc-ProcessTable

* Fri Jun 03 2005 German Cancio Melia

- Added root permissions to AppConfig RPM

* Tue May 31 2005 German Cancio Melia

- Adds a 'provides edg-caf-perl' for backwards compatibility

* Fri May 06 2005 German Cancio Melia

- Minor fix in Lock.pm - verify if application instance holding the lock becomes stale in every wait iteration

* Fri May 06 2005 German Cancio Melia

- Bumped minorversion. Also added a is_set() method to Lock to check if lock is set by this application instance.

* Fri May 06 2005 German Cancio Melia

- Adding CAF::Lock class (as requested in Savannah #3180)

* Mon Apr 18 2005 German Cancio Melia

- Updated the example to show arrays and hashes

* Mon Jan 31 2005 German CANCIO MELIA

- Accepts now for --cfgfile both --cfgfile value and --cfgfile=value

* Mon Jan 24 2005 German CANCIO MELIA

- Addded restriction to redefine QTTR_PERLLIB only on Linux

* Fri Dec 03 2004 German CANCIO MELIA

- Added obsoletes for edg-caf-perl

* Fri Dec 03 2004 German CANCIO MELIA

- Changed RPM group to 'quattor'

* Thu Oct 07 2004 Rafael Garcia Leiva

- package renamed, package dependencies fixed

* Tue Aug 24 2004 German CANCIO MELIA

- Splitted out AppConfig to a separate package, fixing Savannah #4088

* Wed May 26 2004 German CANCIO MELIA

- fixed typo in pod doc (Savannah #3487)

* Mon Mar 15 2004 German Cancio Melia

- Put libraries now in standard perl directory

* Mon Aug 25 2003 CVS: new release (gcancio)

- small fix due to quattor build tools date missing

* Mon Aug 25 2003 CVS: new release (gcancio)

- for Solaris compatibility, separated mkdir line

* Fri Aug 22 2003 CVS: new release (gcancio)

- removed @LCFGCONFIGMSG@ from specfile

* Fri Aug 22 2003 CVS: new release (gcancio)

- Cleanup and polish port to new Quattor build tools

* Fri Aug 22 2003 CVS: new release

* Thu Aug 21 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- converted to new quattor build tools

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- added new ReporterObject class, to use Reporter as an singleton
  	  class

* Wed Jun 11 2003 CVS: new release

* Wed Jun 11 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- support -help as --help in Application.pm

* Fri Mar 21 2003 CVS: new release

* Fri Mar 21 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- small doc fix in Application.pm

* Mon Feb 17 2003 CVS: new release

* Wed Feb 12 2003 CVS: new release

* Thu Feb 06 2003 CVS: new release

* Thu Feb 06 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- removed Exception.pm as now found in edg-perl-LC package

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- Removed destruction method in Reporter as not
  object but invariant class

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- bugfix for help display (no defaults).
- added hash handling in help display.

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- small bugfix (AppConfig.pm readded to specfile)

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- added LC::Exception as a temporary hack.

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- first version.

--- end of ChangeLog ---
